#!/usr/bin/env python3
"""
WebSocket events.
"""
import types

import rtorrent

async def active_torrents(ws, data):
	"""Returns active torrent information."""
	data = [vars(t) for t in rtorrent.get_active()]
	res = {'event': 'active_torrents', 'data': data}
	await ws.send_json(res)

async def tracker_stats(ws, data):
	"""Returns tracker stats."""
	data = rtorrent.get_stats()
	res = {'event': 'tracker_stats', 'data': data}
	await ws.send_json(res)

events = {}
for obj in dir():
	if type(locals()[obj]) == types.FunctionType:
		events[locals()[obj].__name__] = locals()[obj]
